package de.hft.stuttgart.citydoctor2.webservice.model;

import java.util.ArrayList;
import java.util.List;

import de.hft.stuttgart.citydoctor2.webservice.model.entities.WebBuilding;

public class BuildingReference {

	private int id;
	private String gmlId;
	private double width;
	private List<ErrorReference> errors = new ArrayList<>();
	
	public static BuildingReference of(WebBuilding ref) {
		return new BuildingReference(ref.getId(), ref.getGmlId(), ref.getModelWidth());
	}

	public BuildingReference(int id, String gmlId, double width) {
		super();
		this.id = id;
		this.gmlId = gmlId;
		this.width = width;
	}
	
	public double getWidth() {
		return width;
	}

	public void setWidth(double width) {
		this.width = width;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getGmlId() {
		return gmlId;
	}

	public void setGmlId(String gmlId) {
		this.gmlId = gmlId;
	}

	public List<ErrorReference> getErrors() {
		return errors;
	}

	public void setErrors(List<ErrorReference> errors) {
		this.errors = errors;
	}
}
